Bug 1281880 - Github as external bug tracker
Github as external bug tracker
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 12:04 EST by Jason Tibbitts
Modified: 2016-09-07 03:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-01 05:35:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2015-11-13 12:04:43 EST
I was surprised to see that I can't reference github as an external tracker, and I did some searching here and didn't seen an open ticket, so...  Please consider adding some way to reference a github issue as an external bug.

I suppose with a naive implementation each github project would have to be added individually, which obviously wouldn't scale.  But it should be possible to include the project name in the "Bug ID" that bugzilla would use, which would give you enough of a unique ID to find the issue.  For example, "SpamExperts/pyzor/38", or just take the whole URL and parse it.  There's enough information there to get down to https://api.github.com/repos/SpamExperts/pyzor/issues/38 for the json you need to determine the ticket state.
Comment 1 Jeff Fearn 2016-09-01 05:35:03 EDT
Github is there now, usage is "SpamExperts/pyzor/38"
Comment 2 Jason Tibbitts 2016-09-01 10:13:47 EDT
This is great, thanks!
Comment 3 Ville Skyttä 2016-09-07 03:05:08 EDT
FWIW I just tried to use this feature in bug 1373295, but the ccache/ccache/129 usage resulted in a broken link. Had to use ccache/ccache/issues/129.

Note You need to log in before you can comment on or make changes to this bug.